Debian Bug report logs - #486422
RFP: eternallands -- the client package for Eternal Lands, a free MMORPG

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>

Date: Sun, 15 Jun 2008 23:57:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 00:50:05 +0100
Package: wnpp
Severity: wishlist
Owner: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>


* Package name    : eternallands
  Version         : 1.6.0
  Upstream Author : Radu Privantu 
* URL             : http://http://www.eternal-lands.com/
* License         : (QTPL)
  Programming Lang: (C, C++)
  Description     : the client package for Eternal Lands, a free MMORPG

Eternal Lands is a FREE MMORPG (massively multiplayer online role
playing game).

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Full text and rfc822 format available.

Message #10 received at 486422@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <miriam@debian.org>
To: "Paul Broadhead" <pjbroad@twinmoons.clara.co.uk>, 486422@bugs.debian.org
Subject: Re: Bug#486422: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 12:00:29 +0200
2008/6/16 Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
> Package: wnpp
> Severity: wishlist
> Owner: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>
>
>
> * Package name    : eternallands
>  Version         : 1.6.0
>  Upstream Author : Radu Privantu
> * URL             : http://http://www.eternal-lands.com/
> * License         : (QTPL)
>  Programming Lang: (C, C++)
>  Description     : the client package for Eternal Lands, a free MMORPG
>
> Eternal Lands is a FREE MMORPG (massively multiplayer online role
> playing game).

Could you provide a link to the QTPL license? I'm not sure if you mean
the QPL [1], If you do, take into account that, AFAIK, it is not clear
whether it is DFSG-Free or not, and also that it is not compatible
with GPL, and thus you shouldn't be linking, directly or indirectly,
statically or dynamically, with any GPLed code.

Do you know if the server part of the game is also available?

Greetings,
Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Full text and rfc822 format available.

Message #15 received at 486422@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <miriam@debian.org>
To: "Paul Broadhead" <pjbroad@twinmoons.clara.co.uk>, 486422@bugs.debian.org
Subject: Re: Bug#486422: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 12:01:16 +0200
Sorry, I forgot to add the link:

[1] http://wiki.debian.org/DFSGLicenses

Greetings,
Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gonéri Le Bouder <goneri@rulezlan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Full text and rfc822 format available.

Message #20 received at 486422@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>
Cc: 486422@bugs.debian.org
Subject: Re: Bug#486422: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 12:04:22 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jun 16, 2008 at 12:50:05AM +0100, Paul Broadhead wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>
> 
> 
> * Package name    : eternallands
>   Version         : 1.6.0
>   Upstream Author : Radu Privantu 
> * URL             : http://http://www.eternal-lands.com/
> * License         : (QTPL)
Hi

The license has some restrictions that are non DFSG ok:
Restrictions:
1. You are not allowed to use the Binary Data that comes with the
Official Eternal Lands Client without our prior approval.
2. You may not distribute our Binary Data in your modified versions,
without our approval.
3. You may not use our Trademarks (such as Eternal Lands(TM)) in modifed
versions, without our approval. You can (and must) add a notice stating
that the code is a Modified Version of the the Eternal Lands Official
Client.
4. You may not use modified versions to connect to the Eternal Lands
server, without our approval.
http://cvs.berlios.de/cgi-bin/viewcvs.cgi/elc/elc/eternal_lands_license.txt?rev=1.1&content-type=text/vnd.viewcvs-markup

Cheers,

   Gonéri
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Broadhead <paul.broadhead@blueyonder.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Full text and rfc822 format available.

Message #25 received at 486422@bugs.debian.org (full text, mbox):

From: Paul Broadhead <paul.broadhead@blueyonder.co.uk>
To: "Miriam Ruiz" <miriam@debian.org>, 486422@bugs.debian.org
Subject: Re: Bug#486422: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 19:21:27 +0100
Miriam Ruiz wrote:

> Could you provide a link to the QTPL license?

Thanks to Gonéri for providing that.

> Do you know if the server part of the game is also available?

No, the server part of the game is closed source.

This is my first try at creating Debian packages.  Overall, I'm getting
a bad feeling about this whole exercise.  I have already made
eternallands and eternallands-data packages and uploaded them to
mentors.debian.net. These ITP bug reports are something I did not
understand I needed at first so apologies if I've got all this back to
front.

I did wonder if there would be issues with the licences but thought at
least the client code would be OK.  Can these issues be resolved or
should I forget the whole thing?

Thank you all for your feedback,
Paul Broadhead





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Full text and rfc822 format available.

Message #30 received at 486422@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <miriam@debian.org>
To: "Paul Broadhead" <paul.broadhead@blueyonder.co.uk>
Cc: 486422@bugs.debian.org
Subject: Re: Bug#486422: ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
Date: Mon, 16 Jun 2008 21:25:52 +0200
2008/6/16 Paul Broadhead <paul.broadhead@blueyonder.co.uk>:

>> Do you know if the server part of the game is also available?
>
> No, the server part of the game is closed source.
>
> This is my first try at creating Debian packages.  Overall, I'm getting
> a bad feeling about this whole exercise.  I have already made
> eternallands and eternallands-data packages and uploaded them to
> mentors.debian.net. These ITP bug reports are something I did not
> understand I needed at first so apologies if I've got all this back to
> front.

Hey, it´s OK, don' t worry, you´re doing it OK, I just wanted to know :)

> I did wonder if there would be issues with the licences but thought at
> least the client code would be OK.  Can these issues be resolved or
> should I forget the whole thing?

We´ll try to find out, no problem :)

Greetings,
Miry




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#486422; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 486422@bugs.debian.org (full text, mbox):

From: Paul Broadhead <pjbroad@twinmoons.clara.co.uk>
To: 486422@bugs.debian.org
Subject: Status update
Date: Tue, 24 Jun 2008 23:53:23 +0100
Just to let people know that I've been talking to the upstream Author
of this game to explore the possibility of changing the client licence.
He has agree to consider this; specifically licensing the client using
a BSD licence was his preferred option.  I've also rewritten my data
package files so that the game data is downloaded at install time
rather than included in the package.  These now work along the same
lines as the flashplugin-nonfree package.  I've probably opened a whole
new can of worms doing this but it is also easier to manage the
packages this way.  I'll upload new versions to debian mentors when
I've finished testing.

-- 
Paul Broadhead





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. (Mon, 01 Mar 2010 00:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. (Mon, 01 Mar 2010 00:00:05 GMT) Full text and rfc822 format available.

Message #40 received at 486422@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 486422@bugs.debian.org
Subject: what is the status of eternal lands?
Date: Sun, 28 Feb 2010 18:59:37 -0500
[Message part 1 (text/plain, inline)]
I'm interested in having this Debian, but it's been over a year now since
last post...
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. (Mon, 01 Mar 2010 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Broadhead <paul@twinmoons.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. (Mon, 01 Mar 2010 07:51:05 GMT) Full text and rfc822 format available.

Message #45 received at 486422@bugs.debian.org (full text, mbox):

From: Paul Broadhead <paul@twinmoons.clara.co.uk>
To: Andres Cimmarusti <acimmarusti@gmail.com>, 486422@bugs.debian.org
Subject: Re: Bug#486422: what is the status of eternal lands?
Date: Mon, 1 Mar 2010 07:46:47 +0000
Andres Cimmarusti wrote:

> I'm interested in having this Debian, but it's been over a year now
> since last post...

Still stalled over licence issues I'm afraid.  I have not followed up
the issue with the upstream author recently so I will do that again
soon; there is currently an update in alpha so now is a bad time.

Packages are available already from my Launchpad PPA for Ubuntu and my
own server for Debian (Debian 32-bit only).  There are instructions
here: <https://help.ubuntu.com/community/EternalLands>

Regards,
Paul Broadhead





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>:
Bug#486422; Package wnpp. (Sat, 19 Feb 2011 18:12:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. (Sat, 19 Feb 2011 18:12:29 GMT) Full text and rfc822 format available.

Message #50 received at 486422@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 486422@bugs.debian.org
Cc: control@bugs.debian.org
Subject: eternallands: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:33 +0000
retitle 486422 RFP: eternallands -- the client package for Eternal Lands, a free MMORPG
noowner 486422
thanks

Hi,

This is an automatic email to change the status of eternallands back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting eternallands, please send a mail to
<control@bugs.debian.org> with:

 retitle 486422 ITP: eternallands -- the client package for Eternal Lands, a free MMORPG
 owner 486422 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <486422@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: eternallands -- the client package for Eternal Lands, a free MMORPG' from 'ITP: eternallands -- the client package for Eternal Lands, a free MMORPG' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:21:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Paul Broadhead <pjbroad@twinmoons.clara.co.uk>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:21:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:48:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.